> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monigo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List customer wallets

> Returns all wallets belonging to the specified customer



## OpenAPI

````yaml /api-reference/public-openapi.yaml get /v1/customers/{customer_id}/wallets
openapi: 3.0.3
info:
  contact: {}
  description: Usage-based billing and metering API for Monigo.
  title: Monigo Public API
  version: '1.0'
servers:
  - url: https://api.monigo.co
security: []
paths:
  /v1/customers/{customer_id}/wallets:
    get:
      tags:
        - wallets
      summary: List customer wallets
      description: Returns all wallets belonging to the specified customer
      parameters:
        - name: customer_id
          in: path
          description: Customer UUID or external_id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                additionalProperties: true
                type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      description: >-
        API key with Bearer prefix (for programmatic/server-to-server access),
        format: Bearer {api_key}
      in: header
      name: Authorization
      type: apiKey

````